import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.StringItem;


class InstructionsScreen
    extends Form
    implements CommandListener
{
    private final Twister midlet;

    private static final String instructions =
        "Twister 1.0\n\n" +
        "Untwist all the numbers back in the right order.\n" +
        "Any 2x2 square can be twisted clockwise - use the keys 1,2,4,5 to twist a square.\n" +
        "Written by Jaap Scherphuis";

    InstructionsScreen(Twister midlet)
    {
        super("Instructions");
        this.midlet = midlet;

        append(new StringItem(null, instructions));

        Command backCommand = new Command("Back", Command.BACK, 1);
        addCommand(backCommand);
        setCommandListener(this);
    }

    public void commandAction(Command c, Displayable d)
    {
        midlet.instructionsBack();
    }
}
